﻿using System;
using System.Configuration;
using System.Windows;
using TodoList.Desktop.Model;
using TodoList.Desktop.View;
using TodoList.Desktop.ViewModel;

namespace TodoList.Desktop
{
	/// <summary>
	/// Alkalmazás típusa.
	/// </summary>
	public partial class App : Application
	{
		private ITodoListService _service;
		private TodoListViewModel _viewModel;
		private MainWindow _view;

		/// <summary>
		/// Alkalmazás példányosítása.
		/// </summary>
		public App()
		{
			Startup += App_Startup;
		}

		/// <summary>
		/// Alkalmazás indulásának eseménykezelője.
		/// </summary>
		private void App_Startup(object sender, StartupEventArgs e)
		{
			_service = new TodoListService(ConfigurationManager.AppSettings["baseAddress"]);

			_viewModel = new TodoListViewModel(_service);

			_view = new MainWindow {DataContext = _viewModel};
			_view.Show();
		}
	}
}
