using System;
using System.Collections.Generic;
using System.Linq;

namespace TodoList.Persistence
{
	public static class DbInitializer
	{
		public static void Initialize(TodoListContext context)
		{
			// Adatbzis ltrehozsa, amennyiben nem ltezik
			context.Database.EnsureCreated();

			// Listk keresse
			if (context.Lists.Any())
			{
				return; // Az adatbzis mr inicializlva van.
			}

			IList<List> defaultLists = new List<List>
			{
				new List
				{
					Name = "Bevsrls",
					Items = new List<Item>()
				{
					new Item()
					{
						Name = "Alma",
						Deadline = DateTime.Now.AddDays(1)
					},
					new Item()
					{
						Name = "Krte",
						Deadline = DateTime.Now.AddDays(1)
					},
					new Item()
					{
						Name = "Sr",
						Deadline = DateTime.Now
					}
				}
				},
				new List
				{
					Name = "Beadandk",
					Items = new List<Item>()
				{
					new Item()
					{
						Name = "WAF beadand",
						Deadline = DateTime.Now.AddDays(7)
					},
					new Item()
					{
						Name = "MI beadand",
						Deadline = DateTime.Now.AddDays(10)
					}
				}
				},
				new List
				{
					Name = "Fejleszts",
					Items = new List<Item>()
				{
					new Item()
					{
						Name = "Felhasznlkezels",
						Description = "Bejelentkezs s kijelentkezs megvalstsa sti alap authentikcival.",
						Deadline = DateTime.Now.AddDays(4)
					},
					new Item()
					{
						Name = "Validci",
						Description = "A nzetmodell validcis annoticikkal trtn elltsa s a szablyok teljeslsnek ellenrzse.",
						Deadline = DateTime.Now.AddHours(4)
					},
					new Item()
					{
						Name = "Regisztrci",
						Description = "Regisztrci implementcija email cm megerstssel.",
						Deadline = DateTime.Now.AddDays(2)
					},
					new Item()
					{
						Name = "Asztali kliens",
						Description = "Asztali WPF adminisztrcis kliens fejlesztse.",
						Deadline = DateTime.Now.AddDays(12)
					}
				}
				}
			};

			foreach (List list in defaultLists)
				context.Lists.Add(list);

			context.SaveChanges();
		}
	}
}