﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;

namespace TodoList.Persistence
{
    public class Item
    {
        [Key]
        public Int32 Id { get; set; }

        [Required]
        [MaxLength(50)]
        public String Name { get; set; }

        [DataType(DataType.MultilineText)]
        public String Description { get; set; }

        [Required]
        public DateTime Deadline { get; set; }

        [Required]
        [DisplayName("List")]
        public Int32 ListId { get; set; }

        [ForeignKey("ListId")]
        public virtual List List { get; set; }
    }
}